declare type Entry = {
    [key: string]: unknown;
};
export default class Registry {
    private entries;
    private static instance;
    private constructor();
    static getInstance(): Registry;
    get size(): number;
    set(key: string | Entry[], value?: unknown): void;
    get(key: string): unknown;
    has(key: string): boolean;
    clear(): void;
    delete(key: string): boolean;
    __jest__destroyInstance(): void;
}
export {};
//# sourceMappingURL=Registry.d.ts.map